Vla-put-unitsformat

提供: GizmoLabs
移動先: 案内検索
構文
(vla-put-unitsformat vla-object unit )


機能
角度寸法以外のすべての寸法の単位形式を指定する。


引数
  • vla-object … VLAオブジェクト(DimAligned、DimArcLength、DimDiametric、DimOrdinate、DimRadial、DimRadialLarge、DimRotated)
  • unit … acDimLUnits 列挙型
  • acDimLScientific
  • acDimLDecimal
  • acDimLEngineering
  • acDimLArchitectural
  • acDimLFractional
  • acDimLWindowsDesktop


戻り値
nil


  • MEMO : このプロパティの初期値は acDimLDecimal。
  • このプロパティが acDimLDecimal に設定されている場合、DecimalSeparator および PrimaryUnitsPrecision プロパティで指定された形式が十進数値の形式設定に使用される。
  • 分数表記を使用した建築図面表記または分数表記の単位形式を作成するには、FractionFormat プロパティを使用する。
  • 注 : このプロパティは、指定された寸法でシステム変数 DIMLUNIT[長さ寸法表記形式]の値を変更する。


サンプル
(vl-load-com)
(defun c:Example_UnitsFormat()
    ;; モデル空間で平行寸法を作成し、UnitsFormat を使用して、
    ;; ディメンションのいくつかの一般的な単位の形式を順番に
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; 寸法の定義
    (setq point1 (vlax-3d-point 0 5 0)
          point2 (vlax-3d-point 5.12345678 5 0)
          location (vlax-3d-point 5 7 0))
    
    ;; 平行寸法オブジェクトをモデル空間に作成する。
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    (vla-ZoomAll acadObj)
    
    ;; 順番に共通の単位形式を設定
    (vla-put-UnitsFormat dimObj acDimLScientific)     ;; 科学的に書式を変更。

    (vla-Regen doc acAllViewports)
    (alert "寸法単位が科学的に設定されました")
    
    (vla-put-UnitsFormat dimObj acDimLDecimal)        ;; 10 進数に書式を変更。
    (vla-Regen doc acAllViewports)
    (alert "寸法の単位が 10 進数に設定されました")
    
    (vla-put-UnitsFormat dimObj acDimLArchitectural)  ;; 建築に書式を変更。
    (vla-Regen doc acAllViewports)
    (alert "寸法の単位が建築書式に設定されました")
    
    (vla-put-UnitsFormat dimObj acDimLWindowsDesktop) ;; windowsデスクトップに変更。
    (vla-Regen doc acAllViewports)
    (alert "寸法の単位が windowsデスクトップに設定されました")
)

関連事項